module key_s4_test();

	reg clk;
	reg rst_n;
	reg [3:0] col;
	wire [3:0] row;
	wire [15:0] key_deb;

	//----Code starts here: integrated by Robei-----
	reg [3:0] r_col;
	
	initial begin
			clk = 'd0;
			rst_n = 'd0;
			#50;
			rst_n = 'd1;	
			#20000;
			$finish;
	end
	
	always begin
			#1;
			clk <= ~clk;
	end
	
	always begin
			#20;		
			col = r_col;
	end
	
	always@(posedge clk, negedge rst_n)begin
			if(~rst_n)
					r_col = 4'b1111;
			else if(row == 4'b1110)
					r_col = 4'b1110;
			else
					r_col = 4'b1111;
	end
	
	
	
	
	initial begin
		$dumpfile ("F:/Robei_competition_common_ip/common_use_type/key_s4_scan_filter/key_s4_test.vcd");
		$dumpvars;
	end
	//---Module instantiation---
	key_s4 key_s41(
		.clk(clk),
		.rstn(rst_n),
		.col(col),
		.row(row),
		.key_deb(key_deb));

endmodule    //key_s4_test

